Resolvendo problema do Packet Tracer 7.1.1 no Linux Mint 18 e 19

Eu estava com muita dificuldade para fazer o Packet Tracer funcionar no meu Linux Mint. Depois de pesquisar bastante e rodar por vários sites, achei uma resposta dada no Ask Ubuntu e no Tech Otaku que me ajudaram a resolver o problema.

Vou aproveitar esse post para mostrar como resolvi meus problemas com o Packet Tracer no Linux Mint 18 e 19 (Sarah e Tara).

CONTEXTO

No Linux Mint 18 eu tinha problema com essa versão do Packet Tracer. Quando executava o comando # packettracer aparecia uma mensagem dizendo que o programa estava sendo carregado, mas nunca abria. Para resolver esse problema, bastava instalar o pacote que professor Samuel Henrique Bucke Brito indica nos comentários dessa publicação.

Já no Linux Mint 19 eu fiz o mesmo procedimento descrito anteriormente e mesmo assim não tive sucesso. Outros problemas surgiram, que só foram resolvidos seguindo outros tutoriais, principalmente a resposta dada pelo Lucas Almeida a essa pergunta.

MEU PROBLEMA

No Mint 19 o Packet Tracer chega abrir mas quando tento expandir a janela, o programa fica totalmente disforme.

AMBIENTE

S.O: Linux Mint 19 Cinnamon (Tara)

Kernel do Linux: 4.15.0-33-generic

Programa: Cisco Packet Tracer 7.1.1

RESOLVENDO O PROBLEMA

NO LINUX MINT 18 (SARAH)

Depois de instalar o Packet Tracer no caminho padrão:

/opt/pt/

tenho que editar o arquivo:

/etc/apt/sources.list

adicionando a linha:

deb http://security.ubuntu.com/ubuntu trusty-security main

Logo depois executar os comandos:

sudo apt-get update
sudo apt-get install libicu52

ou

wget http://mirrors.kernel.org/ubuntu/pool/main/i/icu/libicu52_52.1-3ubuntu0.8_amd64.deb
sudo dpkg -i libicu52_52.1-3ubuntu0.8_amd64.deb

E por último reiniciar meu computador.

NO LINUX MINT 19(TARA)

Tenho que fazer o procedimento acima e também Instalar o Qt libraries:

sudo apt-get install libqt5webkit5 libqt5multimediawidgets5 libqt5svg5 libqt5script5 libqt5scripttools5 libqt5sql5

Instalar o libpng12:

wget http://ftp.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb
sudo dpkg -i libpng12-0_1.2.50-2+deb8u3_amd64.deb

E por último reiniciar meu computador.

REFERÊNCIAS:

 

Uma resposta para “Resolvendo problema do Packet Tracer 7.1.1 no Linux Mint 18 e 19”

Deixe uma resposta

O seu endereço de e-mail não será publicado.